/*
 * Color.c - color manager for "Boxes" game
 *
 * This is pretty brain-damaged at the moment.  The color is the old QuickDraw
 * color model.
 */

# include	"Boxes.h"


static short	playerColor[maxPlayer];
static short	dotColor = blackColor;
static short	sideColor = blackColor;
static short	scoreboardColor = blackColor;


void
InitColor (void)
{
short	i;

	for (i = 0; i < maxPlayer; i++)
		playerColor[i] = blackColor;
}


void
SetColor (short color)
{
	ForeColor (color);
}


void
RestoreColor (void)
{
	ForeColor (blackColor);
}


short
GetDotColor (void)
{
	return (dotColor);
}


void
SetDotColor (short color)
{
	dotColor = color;
}


short
GetSideColor (void)
{
	return (sideColor);
}


void
SetSideColor (short color)
{
	sideColor = color;
}


short
GetScoreboardColor (void)
{
	return (scoreboardColor);
}


void
SetScoreboardColor (short color)
{
	scoreboardColor = color;
}


short
GetPlayerColor (short player)
{
	if (player >= 0 && player < maxPlayer)
		return (playerColor[player]);
	return (blackColor);
}


void
SetPlayerColor (short player, short color)
{
	if (player >= 0 && player < maxPlayer)
		playerColor[player] = color;
}


