/*
 * C-ABC.h
 */


# define	prefsFileName	"\pColin\325s ABC\325s Prefs"

# define	creatorType		'Cabc'
# define	prefsFileType	'pref'

# define	normalHilite	0
# define	dimHilite		255


# define	prefsVersion	2		/* current Prefs structure version */

# define	upperCase		1
# define	lowerCase		2


typedef	struct Prefs	Prefs;

struct Prefs
{
	short	version;		/* preferences version number */
	Str63	voiceName;		/* preferred voice */
	Str255	fontName;		/* preferred font */
	short	letterCase;		/* upper/lower */
	Rect	userState;		/* window userState */
};


void ReadPreferences (Prefs *prefs);
void WritePreferences (Prefs *prefs);
