*  tablut.r -- Resource definition file for the game of Tablut.
*    Note: pre-compiled resources are included at the end of this file.

* Tell RMAKER what to name the resource file
Tablut:tblt/tablut
APPLTBLT

* Version data for the finder
*    Our signature is "tblt", res. ID = 0, by convention.
*    Note that the blank in 'STR ' is significant
TYPE TBLT = STR 
  ,0
  Tblt Version 1.1 -- September 3, 1986

* Menus
*   ID (4 => pre-load the resource; MUST NOT be purgeable!)
*   menu title: an Apple symbol (in hex) for the Apple menu.
*   menu entries, one per line. ( means it's initially disabled.
*   An entry of  (-  means a disabled line of dashes.
*   A trailing /Q means a command-key equivalent.
*   blank line at end of menu.
Type MENU
  ,1(4)
\14
 About Tablut...
 (-

  ,2(4)
File
 New Game/N
 Open...
 Save/S
 Save As...
 (-
 Quit To...
 Quit/Q

   ,3(4)
Edit
 (Undo
 (-
 Cut/X
 Copy/C
 Paste/V
 Clear

   ,4(4)
Rules
  Pieces...
  Movement...
  Capture...
  Objectives...
  Reference...

* A Window template
*   ID,(4 => pre-load the resource; 32 => purgeable)
*    title
*    BoundsRect (global Top, Left, Bottom, Right): where it appears
*    Vis NoGo: it's visible, does not have close box
*    ProcId: this is a standard type of window
*    Refcon, for program's use.  Tablut doesn't use it.
Type WIND
  ,260(36)
  Tablut
  39 0 342 512
  Visible NoGoAway
  0
  0

* Play/Stop Radio Buttons
Type CNTL
  ,129(36)
Play
  12 16 32 96
  Visible
  2
  0
  0 1 0

  ,130(36)
Stop
  37 16 57 96
  Visible
  2
  0
  0 1 0

* control for the "Look" scrollbar that browses through a game.
Type CNTL
  ,131(36)
Look
  67 16 83 96
  Visible
  16
  0
  0 20 20

* Strings for the game status display, File I/O, and error messages
Type STR#
  ,129(36)
  3
Move:
Game White
Game Black

  ,130(36)
  2
Save current game as:
Untitled

  ,401(4)
  30
The directory is full.
The disk is full.
The disk can't be found.
I/O error.
That name is unacceptable.
The requested file is not open.
End of file.
Attempt to position before the start of the file.
Out of memory.
Too many files are open.
The file can't be found.
The disk is write-protected.
That file is locked.
The disk is locked.
That file is in use.
That file already exists.
That file is already open.
Error in parameter list.
Reference to a closed file.
Could not get file position.
That disk is ejected.
The file cannot be opened in that way.
That disk is already on-line.
That drive cannot be found.
That is not a Macintosh diskette.
That disk is ejected.
That disk is corrupted.
That disk's master directory is corrupted.
Can't write that file.
Out of memory.

  ,402(4)
  3
Out of memory.
That file is not a Tablut file.
That file is corrupted.

* Finder's Information follows.
Type BNDL
   ,128(32)
   TBLT 0
   ICN#
   0 128 1 129
   FREF
   0 128 1 129

* a File Reference
*   "APPL" : a file of type APPL (TBLT itself) gets the following icon
*   "TBTF" : a file of type TBTF (a Tablut game file) gets this icon.
*       local icon ID; maps to global ID as specified in BNDL
*   name of file that must accompany application if transferred; omit if none.
Type FREF
  ,128(32)
  APPL 0
  ,129(32)
  TBTF 1

* The Icon itself is in the file of compiled resources (tabres.res)
****    end of information for the finder   ****

* include pre-compiled resources
INCLUDE Tablut:tblt/tabres.res
INCLUDE Tablut:tblt/tablut.code
************************************************
