/*
** This is the TPICTApp class definition.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross 
** (RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/

#include "TPICTApp.h"
#include "TPICTDoc.h"
#include <oops.h>


TDoc 	*TPICTApp::MakeDoc(SFReply *reply)
{
	TPICTDoc *New;
	
	New = (TPICTDoc *)new(TPICTDoc);
	return (New->Init(GetCreator(), reply));
}/*end of function*/


int		TPICTApp::GetNumFileTypes(void)
{
	return 1;
}/*end of function*/


void	TPICTApp::GetFileTypeList(void)
{
		fFileTypeList[0] = 'SPCT';
}/*end of function*/

Boolean	TPICTApp::CanOpen(void)
{
	return TRUE;
}


Boolean	TPICTApp::CanNew(void)
{
	return FALSE;
}


