/*
** This is the TPICTDoc class declaration.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross (gross@kaman.com and
** RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/

#define _H_TPICTDoc
#include "TScrollDoc.h"
#include <PrintMgr.h>

struct	TPICTDoc:TScrollDoc
{
	Handle	fPict;
	Handle	fHeader;
	THPrint	fPrintRecord;
	
	TDoc* Init(OSType, SFReply *reply);
	Boolean InitDoc(void);
	
	void	Delete(void);
	
	short	GetVertSize(void);
	short	GetHorizSize(void);
	short	GetVertLineScrollAmount(void);
	short 	GetHorizLineScrollAmount(void);
	
	void	Draw(Rect *r);
	
	OSType	GetDocType(void);
	Boolean	ReadDocFile(short refNum);
	
	Boolean	CanSaveAs(void);
	void	DoPageSetup(void);
	void	DoPrint(void);
	Boolean	CanPrint(void);
	Boolean	CanPageSetup(void);
};/*end of TPICTDoc class specification*/
