/*
** This is the TScribleApp class definition.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross 
** (RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/

#include "TScribbleApp.h"
#include "TScribbleDoc.h"
#include <oops.h>


TDoc*	TScribbleApp::MakeDoc(SFReply *reply)
{
		return (((TScribbleDoc *)new(TScribbleDoc))->Init(GetCreator(),reply) );
}	
	

OSType	TScribbleApp::GetDocType(void)
{
	return 'SPCT';
}

OSType	TScribbleApp::GetCreator(void)
{
	return 'SCBL';
}

int		TScribbleApp::GetNumFileTypes(void)
{
	return 1;
}

void	TScribbleApp::GetFileTypeList(void)
{
	fFileTypeList[0] = 'SPCT';
}

Boolean	TScribbleApp::CanOpen(void)
{
	return TRUE;
}

	
