/*
** This is the TScribbleApp class declaration.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross (gross@kaman.com and
** RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/


#define	_H_TScribbleApp

#include "TApp.h"
#include "TScribbleDoc.h"


struct	TScribbleApp:TApp
{
	
	
/*	
** new member functions and overriding of parent class member function 
*/
	
/* Making TScibbleDocs*/
	TDoc*	MakeDoc(SFReply *reply);
	
/* File Types and Ceator */
	OSType	GetDocType(void);
	OSType	GetCreator(void);
	int		GetNumFileTypes(void);
	void	GetFileTypeList(void);
	Boolean CanOpen(void);
	
};/* end of TScribbleApp class decloration*/
