/*
** This is the TIterator class definition.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross 
** (RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/

#include	"TIterator.h"
#define		NULL 0L

TIterator*	TIterator::Init(TList* list)
{
	fCurLink = list->fLink;
	return this;
}

void*	TIterator::Next(void)
{
	TLink* link = fCurLink;
	
	if(fCurLink)
	{
		fCurLink = fCurLink->GetNext();
		return (link->GetItem() );
	}
	else
		return NULL;
}

