/*
** This is the TLink class definition.  This class is an adaptation of 
** the class of the same name in the book, Elements of C++ Macintosh 
** Programming, by Dan Weston.
**
** Copyright  1991 Mark Gross 
** (RR2, Box 84, Clayville, NY 13322); 		
** this file may be published everywhere, but no charge
** may be made for its use.  Please contact me about any bugs found.
** I'm also looking for Macintosh development work, so drop me a line
** if you think I could help.  
*/

#include "TLink.h"
#define NULL 0L

TLink*	TLink::Init(TLink *n, void *item)
{
	if (n)
		fNext = n;
	else
		fNext = NULL;
	
	fItem = item;
	return this;
}/*end of function*/


TLink*	TLink::GetNext(void)
{
	return	fNext;
}

void*	TLink::GetItem(void)
{
	return	fItem;
}

void	TLink::SetNext(TLink* aLink)
{
	fNext = aLink;
}

void	TLink::SetItem(void* anItem)
{
	fItem = anItem;
}

