; List Manager support for LightspeedC
; Walter R. Smith, 21 April 1986
; This code is hereby placed in the public domain.

XDEF LActivate, LAddColumn, LAddRow, LAddToCell, LAutoScroll, LCellSize
XDEF LClick, LClrCell, LDelColumn, LDelRow, LDispose, LDoDraw, LDraw
XDEF LFind, LGetCell, LGetSelect, LLastClick, LNew, LNextCell, LRect
XDEF LScroll, LSearch, LSetCell, LSetSelect, LSize, LUpdate

	.MACRO	_DoCall
	MOVE.W	%1, D0
	BRA	PackIntf
	.ENDM
	
PackIntf
	MOVE.L	D3, -(SP)	; save this
	MOVE.W	D0, D3		; so we can save this
	MOVE.W	#$1E7, D0	; where is _Pack0?
	DC.W	$A146		; _GetTrapAddress
	MOVE.L	D3, D0		; get this back
	MOVE.L	(SP)+, D3	; and restore the original D3
	MOVE.L	(SP)+, D1	; get return address
	MOVE.W	D0, -(SP)	; push routine selector
	MOVE.L	D1, -(SP)	; push return address
	JMP	(A0)		; call _Pack0

LActivate	_DoCall #0
LAddColumn	_DoCall #4
LAddRow		_DoCall #8
LAddToCell	_DoCall #12
LAutoScroll	_DoCall #16
LCellSize	_DoCall #20
LClick		_DoCall #24
LClrCell	_DoCall #28
LDelColumn	_DoCall #32
LDelRow		_DoCall #36
LDispose	_DoCall #40
LDoDraw		_DoCall #44
LDraw		_DoCall #48
LFind		_DoCall #52
LGetCell	_DoCall #56
LGetSelect	_DoCall #60
LLastClick	_DoCall #64
LNew		_DoCall #68
LNextCell	_DoCall #72
LRect		_DoCall #76
LScroll		_DoCall #80
LSearch		_DoCall #84
LSetCell	_DoCall #88
LSetSelect	_DoCall #92
LSize		_DoCall #96
LUpdate		_DoCall #100
