#pragma once

/* pref.c */
void GetPrefs(void);
void WritePrefs(void);
Boolean PickNewCreator(void);
void GeneralOptions(void);

typedef struct PrefHeader {
	Byte tag;
	unsigned short dataLen;
} PrefHeader;

/*
*	Global preferences
*/

typedef struct {
	DirSpec	inxDirSpec[DB_NUM];			/* path information to index files folders */
	DirSpec	dataDirSpec[DB_NUM];			/* path information to data files folders */
	short		format;							/* selected output format 				*/
	short		creator;							/* file creator */
	Str31		creatorName;					/* file name of creator */
	OSType	creatorSig;						/* creator signature */
	Boolean	confirmChg;						/* confirm changes before closing */
	Boolean	startQOpen;						/* open application with empty query screen */
	Boolean	includeLFCopy;					/* include LFs in sequence copy */
	Boolean	markHyperLink;					/* mark HyperLink (cross-reference) lines */
} Prefs;

extern Prefs gPrefs;
extern OSType gCreatorSig[11];
