/*
	demo of List Manager
	written by Michael Rutman
	2/9/89
*/

#include <MacTypes.h>
#include <Quickdraw.h>
#include <WindowMgr.h>
#include <FontMgr.h>
#include <TextEdit.h>
#include <MenuMgr.h>
#include <ListMgr.h>


ListHandle	LH;


void
Init_Managers()		/* Nuff said?? */
{

	MaxApplZone();

	InitGraf(&thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitCursor();
	
}

copyString(a,b)
Str255	a,b;
{
	int	count;

	for(count=b[0];count>=0;count--)
		a[count]=b[count];
}




Boolean
doKey(what)
long	what;
{
	char	letter;

	letter=what&charCodeMask;
	switch(letter)
		{
		case'q':
			return(false);
			break;
		
		default:
			break;
		}
	return(true);
}



Boolean
doEvent () 
{
	EventRecord	evt;
	int			windowCode;
	WindowPtr	whichWindow;
	Rect		dragRect;
	
	SystemTask ();		/* Handle desk accessories */
	
	if (GetNextEvent (everyEvent, &evt)) 
		{
	    switch (evt.what) 
	    	{
			case mouseDown: 	
		    	windowCode = FindWindow (evt.where, &whichWindow);
		    	switch (windowCode) 
		    		{
					case inSysWindow: 
				    SystemClick (&evt, whichWindow);
			  		break;/* inSysWindow */
					case inDrag: /* drag the window */
						dragRect=((GrafPtr)whichWindow)->portRect;
		   		 		DragWindow (whichWindow, evt.where, &dragRect);
			    		break;
					case inContent: 
						if (whichWindow != FrontWindow ())
			    			SelectWindow (whichWindow);
			    		windowClick(whichWindow,&evt);
			    		break;
					case inGoAway: 
					break; 
					}
			case keyDown: 
			case autoKey:
				return(doKey(evt.message));
				break;
			case activateEvt: 
				doActivate((Boolean)(evt.modifiers & activeFlag),evt.message);
				break;
			case updateEvt:
				doUpdate(evt.message);
				break;
			} 
		}
	return(true);
}



main()
{
	WindowPtr	wp;
	Rect		bounds,dataBounds;
	Point		cSize;
static	char		text[]="hello";
	Cell		myCell;
	
	Init_Managers();
	
	SetRect(&bounds,100,100,400,300);
	wp=NewWindow( 0L, &bounds, "\pList", TRUE, 8, 0L, TRUE, 0L );
	
	SetRect(&bounds,0,0,300-15,200-15);
	SetRect(&dataBounds,0,0,3,3);
	cSize.h=40;
	cSize.v=15;
	
	LH=LNew (&bounds,&dataBounds,cSize,0,wp,true,false,true,true);
	ShowWindow(wp);
	
	myCell.h=1;
	myCell.v=1;
	
	LAddToCell(text,5,myCell,LH);
	
	while (doEvent())
	{}
}
	