#pragma once

/* environment.c */
void CheckEnvironment(void);

typedef struct SystemInfo {
	Boolean bHasGestalt		:	1;					/* Gestalt call available */
	Boolean bHasAppleEvents	:	1;					/* Apple Events available */
	Boolean bHasTempMemory	:	1;					/* Temporary memory calls available */
	Boolean bHasFindFolder	:	1;					/* FindFolder call available */
	Boolean bHasBalloonHelp	:	1;					/* Balloon Help available */
	Boolean bHasAliasMgr		:	1;					/* Alias Manager available */
	Boolean bHasFSSpec		:	1;					/* File system specs available */
	Boolean bHasColorQD		:	1;					/* Machine has Color QuickDraw */
	Boolean bHasFPU			:	1;					/* Machine has FPU */
	Boolean bHasNewSFCalls	:	1;					/* System 7 dialogs */
	
	short	sysVRefNum;									/* volume ref. number of System folder */
	long	sysDirID;									/* system directory ID */
	short	tempVRefNum;								/* volume ref. number of Temporary Items folder */
	long	tempDirID;									/* system directory ID */
	short	prefVRefNum;								/* volume ref. number of Preferences folder */
	long	prefDirID;									/* system directory ID */
	short	sysVersion;									/* System version */
	
	Str255	appName;									/* Application name */
	short		appResRef;								/* Application rsrc file ref num */
} SystemInfo;

extern SystemInfo gSystem;
	
