#pragma once


extern char gError[256];
extern Boolean bErrorOccurred;

/* util.c */
u_long ConvertLong(u_long *val);
u_short ConvertShort(u_short *val);
char *str2upper(char *str);
char *rtrim(char *str);
char *ltrim(char *str);
char *rpad(char *str, char c, short len);
char *compress(char *str);
Boolean linetype(char *line, char *id);
void CenterSFDlg(short which, Point *where);
OSErr DeleteMacFile(FSSpecPtr theFSS);
OSErr CreateMacFile(FSSpecPtr theFSS, OSType creator, OSType type, Boolean bShowErrMsg);
OSErr OpenMacFile(FSSpecPtr theFSS, short *output, Boolean bShowErrMsg);
OSErr OpenMacFileReadOnly(FSSpecPtr theFSS, short *output, Boolean bShowErrMsg);
OSErr WriteMacFile(short output, long *count, void *what, StringPtr fName, Boolean bShowErrMsg);
OSErr ReadMacFile(short input, long *count, void *what, StringPtr fName, Boolean bShowErrMsg);
Boolean GetNewFilename(Str255 oldFName, FSSpecPtr theFSS);
Boolean GetVRefNumFromName(StringPtr vName, short *vRefNum);
Boolean GetNameFromVRefNum(StringPtr vName, short vRefNum);
OSErr MyResolveAlias(FSSpecPtr theFSS);
OSErr MakeFSS (short vRefNum, StringPtr fName, long parID, FSSpecPtr theFSS);
OSErr SetFileType(FSSpecPtr theFSS, OSType fileType, OSType fileCreator,
							Boolean bShowErrMsg);
GrafPtr ChangePort(GrafPtr newPort);
SignedByte LockHandleHigh(Handle theHandle);
SignedByte MyHLock(Handle theHandle);
void StartWaitCursor(void);
void RotateWaitCursor(void);
void CenterDA(ResType what, short id, short offset);
DialogPtr GetNewCenteredDialog(short id, short offset);
Boolean IsAppWindow(WindowPtr wPtr);
Boolean IsDAWindow(WindowPtr wPtr);
pascal Boolean myDialogFilter(DialogPtr myDialog, EventRecord *theEvent, short *itemHit);
pascal void DrawOKBoxRect(WindowPtr myWindow, short itemNo);
pascal void DrawFrame(WindowPtr myWindow, short itemNo);
void SetRadioButton(DialogPtr myDialog, short item, short status);
short GetRadioButton(DialogPtr myDialog, short item);
void ToggleRadioButton(DialogPtr myDialog, short item);
void SelRadioButton(DialogPtr myDialog, short firstItem, short n, short whichItem);
void SetDlgText(DialogPtr myDialog, short item, StringPtr text);
void GetDlgText(DialogPtr myDialog, short item, StringPtr text);
void InstallUserItem(DialogPtr myDialog, short item, short useRect, pascal void (*userRoutine )(WindowPtr myWindow, short itemNo ));
void ActivateButton(DialogPtr myDialog, short item, short what);
void FakeClick(DialogPtr myDialog, short item);
Boolean CmdPeriod(EventRecord *theEvent);
void DrawTriangle(Rect *boxPtr);
char *LoadErrorStr(short index, Boolean pas);
Boolean ErrorMsg(short index);
void FatalErrorMsg(short index);
void DoInvertRect(Rect *r);
StringHandle GetNameStringRsrc(void);
OSErr WriteNameStringRsrc(short refNum);
Boolean UserBreak(DialogPtr myDialog);
void WaitUntilForeground(void);
void NotifyUser(NMRec *myNMPtr);
pascal void NotifyResponse(NMRec *myNMPtr);
void RemoveNotification(NMRec *myNMPtr);
void DisableMenuBar(void);
void EnableMenuBar(void);
short FirstValidDB(void);