*  ival.r -- Resource definition file for the interval study.
*    Note: pre-compiled resources are included at the end of this file.
*
Interval
APPLBN34

* Version data for the finder
*    Note that the blank in 'STR ' is significant
TYPE BN34 = STR 
  ,0
  Interval Version 1.0 -- May 25, 1987

* Menus
*   ID (4 => pre-load the resource; Menus must not be purgeable)
*   menu title: an Apple symbol (in hex) for the Apple menu.
Type MENU
  ,1(4)
\14
 About Interval...
 (-

  ,2(4)
File
 Quit/Q

   ,3(4)
Edit
 Undo/Z
 (-
 Cut/X
 Copy/C
 Paste/V
 Clear

   ,4(4)
Configuration
 Exercise Type...
 Interval Type...

* A Window template
Type WIND
  ,260(36)
Interval Study
39 0 342 512
Visible GoAway
0
0

* Strings for the screen, File I/O, and error messages.
Type STR#
  ,129(36);;	Labels for the parts of the screen
  4
Control
The Name
The Notation

  ,131(36);;	Labels for all the interval direction buttons
  2
Above
Below

  ,132(36);;	Labels for all the interval type buttons
  5
Augmented
Perfect
Major
Minor
Diminished

  ,133(36);;	Labels for all the interval size buttons
  8
Octave
Seventh
Sixth
Fifth
Fourth
Third
Second
Unison

  ,134(36);;	Labels for the control pane buttons
  2
Next
Play

  ,136(36);;	Labels for the name pane buttons
  1
Give

  ,137(36);;	Lables for the notation pane buttons
  1
Give

  ,401(4);;	File I/O error messages
  30
The directory is full.
The disk is full.
The disk can't be found.
I/O error.
That name is unacceptable.
The requested file is not open.
End of file.
Attempt to position before the start of the file.
Out of memory.
Too many files are open.
The file can't be found.
The disk is write-protected.
That file is locked.
The disk is locked.
That file is in use.
That file already exists.
That file is already open.
Error in parameter list.
Reference to a closed file.
Could not get file position.
That disk is ejected.
The file cannot be opened in that way.
That disk is already on-line.
That drive cannot be found.
That is not a Macintosh diskette.
That disk is ejected.
That disk is corrupted.
That disk's master directory is corrupted.
Can't write that file.
Out of memory.

  ,402(4);;	Program-specific error-messages
  3
Out of memory.
That file is not an Interval file.
That file is corrupted.

* Finder's Information follows.
Type BNDL
   ,128(32)
   BN34 0
   ICN#
   0 128 1 129
   FREF
   0 128 1 129

Type FREF
  ,128(32)
  APPL 0
  ,129(32)
  BN35 1

* include pre-compiled resources
INCLUDE ival.res
INCLUDE ival.code
************************************************
